VULKAN_HPP_NAMESPACE::ClearColorValue Union Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ClearColorValue (const std::array< float, 4 > &float32_={ {0} })
| ClearColorValue (const std::array< int32_t, 4 > &int32_)
| ClearColorValue (const std::array< uint32_t, 4 > &uint32_)
ClearColorValue & | setFloat32 (std::array< float, 4 > float32_)
ClearColorValue & | setInt32 (std::array< int32_t, 4 > int32_)
ClearColorValue & | setUint32 (std::array< uint32_t, 4 > uint32_)
| operator VkClearColorValue const & () const
| operator VkClearColorValue & ()

## Data Fields

float | float32 [4]
int32_t | int32 [4]
uint32_t | uint32 [4]

## Detailed Description

Definition at line 6074 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ClearColorValue() [1/3]

VULKAN_HPP_NAMESPACE::ClearColorValue::ClearColorValue | ( | const std::array< float, 4 > & | float32_ = `{ {0} }` | ) |

inline

Definition at line 6076 of file vulkan.hpp.

{ {0} } )
{
memcpy( &float32, float32_.data(), 4 * sizeof( float ) );
}

## ClearColorValue() [2/3]

VULKAN_HPP_NAMESPACE::ClearColorValue::ClearColorValue | ( | const std::array< int32_t, 4 > & | int32_ | ) |

inline

Definition at line 6081 of file vulkan.hpp.

{
memcpy( &int32, int32_.data(), 4 * sizeof( int32_t ) );
}

References int32, and memcpy.

## ClearColorValue() [3/3]

VULKAN_HPP_NAMESPACE::ClearColorValue::ClearColorValue | ( | const std::array< uint32_t, 4 > & | uint32_ | ) |

inline

Definition at line 6086 of file vulkan.hpp.

{
memcpy( &uint32, uint32_.data(), 4 * sizeof( uint32_t ) );
}

References memcpy, and uint32.

## Member Function Documentation

## operator VkClearColorValue &()

VULKAN_HPP_NAMESPACE::ClearColorValue::operator VkClearColorValue & | ( |  | ) |

inline

Definition at line 6114 of file vulkan.hpp.

{
return *reinterpret_cast<VkClearColorValue*>(this);
}

## operator VkClearColorValue const &()

VULKAN_HPP_NAMESPACE::ClearColorValue::operator VkClearColorValue const & | ( |  | ) | const

inline

Definition at line 6109 of file vulkan.hpp.

{
return *reinterpret_cast<const VkClearColorValue*>(this);
}

## setFloat32()

ClearColorValue& VULKAN_HPP_NAMESPACE::ClearColorValue::setFloat32 | ( | std::array< float, 4 > | float32_ | ) |

inline

Definition at line 6091 of file vulkan.hpp.

{
memcpy( &float32, float32_.data(), 4 * sizeof( float ) );
return *this;
}

References float32, and memcpy.

## setInt32()

ClearColorValue& VULKAN_HPP_NAMESPACE::ClearColorValue::setInt32 | ( | std::array< int32_t, 4 > | int32_ | ) |

inline

Definition at line 6097 of file vulkan.hpp.

{
memcpy( &int32, int32_.data(), 4 * sizeof( int32_t ) );
return *this;
}

References int32, and memcpy.

## setUint32()

ClearColorValue& VULKAN_HPP_NAMESPACE::ClearColorValue::setUint32 | ( | std::array< uint32_t, 4 > | uint32_ | ) |

inline

Definition at line 6103 of file vulkan.hpp.

{
memcpy( &uint32, uint32_.data(), 4 * sizeof( uint32_t ) );
return *this;
}

References memcpy, and uint32.

## Field Documentation

## float32

float VULKAN_HPP_NAMESPACE::ClearColorValue::float32[4]

Definition at line 6119 of file vulkan.hpp.

Referenced by setFloat32().

## int32

int32_t VULKAN_HPP_NAMESPACE::ClearColorValue::int32[4]

Definition at line 6120 of file vulkan.hpp.

Referenced by ClearColorValue(), and setInt32().

## uint32

uint32_t VULKAN_HPP_NAMESPACE::ClearColorValue::uint32[4]

Definition at line 6121 of file vulkan.hpp.

Referenced by ClearColorValue(), and setUint32().

The documentation for this union was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ClearColorValue::int32
int32_t int32[4]
Definition: vulkan.hpp:6120
VULKAN_HPP_NAMESPACE::ClearColorValue::uint32
uint32_t uint32[4]
Definition: vulkan.hpp:6121
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkClearColorValue
Definition: vulkan_core.h:2740
int32_t
signed int int32_t
Definition: SDL_config_windows.h:62
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
VULKAN_HPP_NAMESPACE::ClearColorValue::float32
float float32[4]
Definition: vulkan.hpp:6119